@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap'); 

:root {
    --primary : #ffffff ; 
    --secondary : #333333 ; 
    --accent : #5e5ce6; 
    --accent-hover : #3230df;
    --white-text : #ffffff;  
    --icon-color: none; 
    
}

[data-theme="dark"] {
  --primary : #333333 ; 
  --secondary : #ffffff ; 
  --accent : #5e5ce6; 
  --accent-hover : #3230df; 
  color: var(--secondary);
  --white-text : #ffffff;  
  --icon-color : brightness(0) invert(1);
}


html {
  font-family: 'Poppins', 'sans-serif';
}

body {
  margin: 0;
  background-color: var(--primary);
}

p{
margin-top: 0;
}

h2 {
  margin-bottom: 0;
}

.container {
  display: grid;
  grid-template: repeat(4,1fr) / repeat(4, 1fr);
  width: 100vw;
  height: 100vh;
}

/**
.navbar {
  background-color: var(--accent);
  height: 36px;
  grid-column: 1/5;
  grid-row: 1
}
*/

.center {
  padding-top: 1rem;
  grid-column: 2/4;
  grid-row: 1/4;

}

.header {
  text-align: center;
}

#title {
  font-family: var(--font);
  width: 100%;
}

.searchbar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}


#searchbutton {
  background-color: var(--accent);
  color: var(--white-text);
  padding: 0.5em;
  text-align: center;
  border-radius: 5px;
}

#searchbutton:hover {
  background-color: var(--accent-hover);
}

.result {
  border: none;
  border-radius: 5px;
  padding: none;
  margin-top: 1em;
}

th {
  text-align: left;
  padding-right: 3rem;
}

#error {
  text-align: center;
}

#bottom {
  text-align: center;
}

#likes {
  padding-right: 0.5rem;
  filter: var(--icon-color);
}

#bookmark {
  filter: var(--icon-color);
}

.footer {
  background-color: var(--accent);
    grid-column: 1/5;
    grid-row: 4;
    height: 36px;
    align-self: end;
    text-align: center;
    padding-top: 1rem;
    color: var(--white-text);
}

.dark-mode {
  padding-top: 1rem;
}

.theme-switch-wrapper {
  display: flex;
  align-items: center;
}

em {
  margin-left: 10px;
  font-size: 1rem;
}
.theme-switch {
  display: inline-block;
  height: 34px;
  position: relative;
  width: 60px;
}

.theme-switch input {
  display:none;
}

.slider {
  background-color: #ccc;
  bottom: 0;
  cursor: pointer;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
  transition: .4s;
}

.slider:before {
  background-color: #fff;
  bottom: 4px;
  content: "";
  height: 26px;
  left: 4px;
  position: absolute;
  transition: .4s;
  width: 26px;
}

input:checked + .slider {
  background-color: var(--accent);
}

input:checked + .slider:before {
  transform: translateX(26px);
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

@media screen 
  and (min-device-width: 1200px) 
  and (max-device-width: 1600px) 
  and (-webkit-min-device-pixel-ratio: 1) { 
   
    h2 {
      font-size: 4rem;
    }

    #searchbutton {
      width: 15%;
    }
}

@media only screen 
  and (min-device-width: 320px) 
  and (max-device-width: 480px)
  and (-webkit-min-device-pixel-ratio: 2) {
    h2 {
      font-size: 2rem;
    }

    th {
      padding: 0;
      font-size: 0.75rem;
    }

    #searchbutton {
      width: auto;
      font-size: 0.75rem;
    }

    td {
      font-size: 0.75rem;
    }

    #bottom {
      padding-top: 1rem;
      text-align: center;
    }

    .theme-switch-wrapper{
      display: flex;
      flex-direction: column;
    }
    em {
      font-size: 0.75rem;
    }

}